///////////////////////////////////////////////////////////////////////
// Test Programs for Utilities.java
//
// David Bailey  6/97
//
// File:        TestUtilities.java
//
// Description: Test classes for my Java utility classes.
//
// Classes:     TestNestedStreamTokenizer, TestDataSource, TestFmt,
//              TestPriorityQueue

import java.awt.*;
import java.awt.image.*;
import java.io.*;
import java.net.*;
import java.util.*;

///////////////////////////////////////////////////////////////////////

class TestNestedStreamTokenizer {

  public static void main(String[] args) throws IOException {
    NestedStreamTokenizer st = new 
      NestedStreamTokenizer(new FileInputStream(args[0]));
    int res = st.nextToken();
    while (res != NestedStreamTokenizer.TT_EOF) {
      if (res == NestedStreamTokenizer.TT_WORD) {
	System.out.println("TT_WORD: " + st.sval);
      }
      else if (res == NestedStreamTokenizer.TT_NUMBER) {
	System.out.println("TT_NUMBER: " + st.nval);
      }
      else if (res == NestedStreamTokenizer.TT_NESTED) {
	System.out.println("NESTED:" + st.sval);
      }
      else {
	char ch = (char)res;
	System.out.println("MYSTERIOUS CODE: " + ch);
      }
      res = st.nextToken();
    }
    System.out.println("Got TT_EOF");
  }
}

///////////////////////////////////////////////////////////////////////

class TestDataSource {
  public static void main(String[] args) 
       throws MalformedURLException, IOException 
  {
    DataSource.setUseWeb("http://www.icsi.berkeley.edu/~dbailey/");
    //DataSource.setUseFiles("/u/dbailey/web/");
    String[] arr = DataSource.getDirectoryList("verblearn/lang");
    System.out.println("Here's the returned array, length = " + arr.length);
    for (int i = 0; i < arr.length; i++) {
      System.out.print(arr[i] + " ");
    }
    System.out.println("");
  }
}

///////////////////////////////////////////////////////////////////////

class TestFmt {
  public static void main(String[] args) {
    System.out.println(Fmt.getDbl("3"));
    System.out.println(Fmt.getDbl("4.5"));
    System.out.println(Fmt.getDbl(".002"));
    System.out.println(Fmt.getDbl("123.456"));
    System.out.println(Fmt.getDbl("2e4"));
    System.out.println(Fmt.getDbl("2e-4"));
    System.out.println(Fmt.getDbl("2.3e0"));
    System.out.println(Fmt.getDbl("2.3e40"));
    System.out.println(Fmt.getDbl(".0002e2"));
  }
}

///////////////////////////////////////////////////////////////////////

class TestPriorityQueue {
  public static void main(String[] args) {
    PriorityQueue pq = new PriorityQueue();
    pq.insert("four", 4);
    pq.insert("three", 3);
    pq.insert("seven", 7);
    System.out.println(pq.remove());
    pq.insert("zero", 0);
    pq.insert("one", 1);
    System.out.println(pq.remove());
    System.out.println(pq.remove());
    pq.insert("five", 5);
    pq.insert("two", 2);
    System.out.println(pq.remove());
    System.out.println(pq.remove());
    System.out.println(pq.remove());
    System.out.println(pq.remove());
    System.out.println(pq.remove());
  }
}
